%global fontname kruti-dev
%global fontconf 58-0-%{fontname}.conf

Name:		%{fontname}-fonts
Version:	1.0
Release:	1%{?dist}
Summary:	Open Type Fonts for devanagari script
License:	Copyright
URL:		http://indiatyping.com/font/writek.php?fontface=KrutiDev010
Source0:	Kruti-Dev-100.zip
Source1:	%{fontname}-fontconfig.conf
Source2:	%{fontname}.metainfo.xml
BuildArch:	noarch
BuildRequires:	fontpackages-devel
Requires:	fontpackages-filesystem


%description
Open Type Fonts for devanagari script

%prep
%setup -c Kruti-Dev-100
chmod 644 *.txt

%build

%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.TTF %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
	%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}

install -Dm 0644 -p %{SOURCE2} \
	%{buildroot}%{_datadir}/metainfo/%{fontname}.metainfo.xml

ln -s %{_fontconfig_templatedir}/%{fontconf} \
	%{buildroot}%{_fontconfig_confdir}/%{fontconf}



%_font_pkg -f %{fontconf} *.TTF
%{_datadir}/metainfo/%{fontname}.metainfo.xml

%changelog
* Wed Jul 03 2019 Vishal Vijayraghavan <vishalvijayraghavan@gmail.com> - 1.0-1
- initial build
